dm-table.c: Proper usage of dm_vcalloc. [Dave Olien]

--- diff/drivers/md/dm-table.c	2004-05-19 22:11:47.000000000 +0100
+++ source/drivers/md/dm-table.c	2004-05-27 14:22:40.000000000 +0100
@@ -181,8 +181,8 @@
 	/*
 	 * Allocate both the target array and offset array at once.
 	 */
-	n_highs = (sector_t *) dm_vcalloc(sizeof(struct dm_target) +
-					  sizeof(sector_t), num);
+	n_highs = (sector_t *) dm_vcalloc(num, sizeof(struct dm_target) +
+					  sizeof(sector_t));
 	if (!n_highs)
 		return -ENOMEM;
 
